<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel.AudioItem.duration &ndash; librygel-server &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel.AudioItem.duration &ndash; librygel-server Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-server</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.html">Rygel</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="class"><a href="Rygel.AudioItem.html">AudioItem</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="constant"><a href="Rygel.AudioItem.UPNP_CLASS.html">UPNP_CLASS</a></li>
          <li class="property"><a href="Rygel.AudioItem.album.html">album</a></li>
          <li class="property"><a href="Rygel.AudioItem.bitrate.html">bitrate</a></li>
          <li class="property"><a href="Rygel.AudioItem.bits_per_sample.html">bits_per_sample</a></li>
          <li class="property"><a href="Rygel.AudioItem.channels.html">channels</a></li>
          <li class="property">duration</li>
          <li class="property"><a href="Rygel.AudioItem.sample_freq.html">sample_freq</a></li>
          <li class="creation_method"><a href="Rygel.AudioItem.AudioItem.html">AudioItem</a></li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">duration</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <div class="main_code_definition"><span class="main_keyword">public</span> <span class="main_basic_type"><span class="struct">long</span></span> <b><span class="property">duration</span></b> { <span class="main_keyword">get</span>; <span class="main_keyword">set</span>; }
        </div>
        <div class="description">
          <p>The duration of the source content (this.uri) in seconds. A value of -1 means the duration is unknown</p>
        </div>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>